Bug Hunting Session
Bug 60842 - FILEOPEN table embedded in ODT: <table-cell value-type="string"/>: string-value attribute ignored
Summary: FILEOPEN table embedded in ODT: <table-cell value-type="string"/>: string-val...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: odf target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks: 68020 62147
  Show dependency treegraph
 
Reported: 2013-02-14 13:55 UTC by Lionel Elie Mamane
Modified: 2013-08-12 14:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test case 1: empty <text:p/> content (4.18 KB, application/vnd.oasis.opendocument.text)
2013-02-14 13:55 UTC, Lionel Elie Mamane
Details
test case 2: no content (4.18 KB, application/vnd.oasis.opendocument.text)
2013-02-14 13:56 UTC, Lionel Elie Mamane
Details
test case 3: actual content (that should be overridden) (4.20 KB, application/vnd.oasis.opendocument.text)
2013-02-14 13:58 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-02-14 13:55:59 UTC
Created attachment 74814 [details]
test case 1: empty <text:p/> content

The attached OpenDocument Text document contains one table with one row.
The cell in the second column is:

 <table:table-cell table:style-name="ce2" office:string-value="USD" office:value-type="string"><text:p></text:p></table:table-cell>

So according to http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1417680_253892949
and our IRC conversation, it should display as "USD". But it displays as blank.

Note that changing the cell to:

 <table:table-cell table:style-name="ce2" office:string-value="USD" office:value-type="string"/>

does not make any difference.
Comment 1 Lionel Elie Mamane 2013-02-14 13:56:37 UTC
Created attachment 74815 [details]
test case 2: no content
Comment 2 Lionel Elie Mamane 2013-02-14 13:58:13 UTC
Created attachment 74816 [details]
test case 3: actual content (that should be overridden)
Comment 3 Not Assigned 2013-02-15 21:49:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b5839f49c07beb6fbde6c7370a5636d22f9ab77

fdo#60842: sw ODF import: support value-type="string" on cells:



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2013-02-15 21:56:00 UTC
fixed on master, review for 4.0 in gerrit
Comment 5 Not Assigned 2013-02-18 10:04:44 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b08767693604e43023dda30734ab1ff5921048c&h=libreoffice-4-0

fdo#60842: sw ODF import: support value-type="string" on cells:


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2013-02-18 19:20:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08dc5de900b2e5cca9d9443fc5d4ea7756842af9

fdo#60842: add a unit test



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.